# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregateR/r-rcppeigen-feedstock/recipe, last modified Thu Sep  6 16:23:10 2018
# ------------------------------------------------

package:
    name: r-rcppeigen
    version: 0.3.3.4.0
source:
    sha256: 11020c567b299b1eac95e8a4d57abf0315931286907823dc7b66c44d0dd6dad4
    url:
        - https://cran.r-project.org/src/contrib/Archive/RcppEigen/RcppEigen_0.3.3.4.0.tar.gz
        - https://cran.r-project.org/src/contrib/RcppEigen_0.3.3.4.0.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r351h29659fb_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_3
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - make 4.2.1 h1bed415_1
    host:
        - _r-mutex 1.0.0 anacondar_1
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - bwidget 1.9.11 1
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h8948797_3
        - curl 7.61.0 h84994c4_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_1
        - fribidi 1.0.5 h7b6447c_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - glib 2.56.2 hd408876_0
        - graphite2 1.3.12 h23475e2_2
        - gsl 2.4 h14c3975_4
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - harfbuzz 1.8.8 hffaf4a1_0
        - icu 58.2 h9c2bf20_1
        - jpeg 9b h024ee3a_2
        - krb5 1.16.1 hc83ff2d_6
        - libcurl 7.61.0 h1ad7b7a_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.34 hb9fc6fc_0
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - libtiff 4.0.9 he85c1e1_2
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - make 4.2.1 h1bed415_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2p h14c3975_0
        - pango 1.42.4 h049681c_0
        - pcre 8.42 h439df22_0
        - pixman 0.34.0 hceecf20_3
        - r-base 3.5.1 h1e0a451_1
        - r-lattice 0.20_35 r351h96ca727_0
        - r-matrix 1.2_14 r351h96ca727_0
        - r-rcpp 0.12.18 r351h29659fb_0
        - readline 7.0 h7b6447c_5
        - tk 8.6.8 hbc83047_0
        - tktable 2.10 h14c3975_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - r-base >=3.5.1,<3.5.2.0a0
        - r-matrix >=1.1_0
        - r-rcpp >=0.11.0
test:
    commands:
        - $R -e "library('RcppEigen')"
about:
    home: http://dirk.eddelbuettel.com/code/rcpp.eigen.html
    license: GPL (>= 2) | file LICENSE
    license_family: GPL3
    summary: 'R and ''Eigen'' integration using ''Rcpp''. ''Eigen'' is a C++ template
        library for linear algebra: matrices, vectors, numerical solvers and related
        algorithms.  It supports dense and sparse matrices on integer, floating point
        and complex numbers, decompositions of such matrices, and solutions of linear
        systems. Its performance on many algorithms is comparable with some of the
        best implementations based on ''Lapack'' and level-3 ''BLAS''. The ''RcppEigen''
        package includes the header files from the ''Eigen'' C++ template library
        (currently version 3.3.4). Thus users do not need to install ''Eigen'' itself
        in order to use ''RcppEigen''. Since version 3.1.1, ''Eigen'' is licensed
        under the Mozilla Public License (version 2); earlier version were licensed
        under the GNU LGPL version 3 or later. ''RcppEigen'' (the ''Rcpp'' bindings/bridge
        to ''Eigen'') is licensed under the GNU GPL version 2 or later, as is the
        rest of ''Rcpp''.'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - johanneskoester
        - mingwandroid
